#Include <GUIConstants.au3>



$text = 'Installation von Firefox (Beispiel).' & @CRLF & 'Dieses Installations-Script wurde geschrieben von Oscar.' & @CRLF & 'Es ist universell einsetzbar und kann beliebig gendert werden.'

$res = _InstBox('Installation', $text, @ScriptDir & '\firefox.jpg', 0, True, 0xFFFFFF)
Switch $res
	Case 0
		Exit; User hat auf 'Abbrechen' geklickt
	Case 1
		; hier kommt der erste Installationsschritt
	Case 2
		; hier evtl. Code fr 'berspringen', ansonsten leer lassen
EndSwitch



$text = 'Installation von Thunderbird (Beispiel).' & @CRLF & 'Der Text fr den nchsten Installationsschritt'

$res = _InstBox('Installation Schritt 1/3', $text, @ScriptDir & '\thunderbird.jpg', 33, False, 0xFFFFFF)
Switch $res
	Case 0
		Exit; User hat auf 'Abbrechen' geklickt
	Case 1
		; hier kommt der zweite Installationsschritt
	Case 2
		; hier evtl. Code fr 'berspringen', ansonsten leer lassen
EndSwitch



$text = 'Installation von IrfanView (Beispiel).' & @CRLF & 'Der Text fr den bernchsten Installationsschritt'

$res = _InstBox('Installation Schritt 2/3', $text, @ScriptDir & '\irfanview.jpg', 66, False, 0xFFFFFF)
Switch $res
	Case 0
		Exit; User hat auf 'Abbrechen' geklickt
	Case 1
		; hier kommt der dritte Installationsschritt
	Case 2
		; hier evtl. Code fr 'berspringen', ansonsten leer lassen
EndSwitch


; das kannst Du endlos fortsetzen


$text = 'Alle Programme wurden installiert.' & @CRLF & 'Der Text fr den abschlieenden Installationsschritt'

_InstBox('Installation Beendet', $text, @ScriptDir & '\ende.jpg', 100, False, 0xFFFFFF)

; hier ist das Ende erreicht



;===============================================================================
; Funktion Name: _InstBox()
; AutoIt-Version: 3.2.10.0
; Language: German
; Version: 1.0.0.2
; Date: 03. Jan. 2008
; Author: Thomas Stephan <oscar at elektronik-kurs dot de>
;
; Beschreibung: 
; Diese Funktion erzeugt eine Installations-Box, mit der man Programminstallationen
; benutzeruntersttzt vornehmen kann.
;
; Funktionsaufruf: _InstBox($Title, $Text, $Pic, $ProgBar, $bSkip, [$BackgrCol = 0xDDDDDD])
; $Title = Text, der als Fenstertitel verwendet wird
; $Text = Erste Zeile (bis zum 1. CRLF) wird als berschrift verwendet. Der Rest 
;              ist normaler Text
; $Pic = Pfad und Dateiname eines Bildes (max. 150x150 Pixel). 
; $ProgBar = Prozentangabe (0...100) fr die ProgressBar
;                   Diese Angabe beeinflusst auerdem die Buttonanzeige:
;                   0		Button1 = 'Abbrechen' und Button3 = 'Start'
;                   100		Button1 = [nicht vorhanden] und Button3 = 'Beenden'
;                   1...99	Button1 = 'Abbrechen' und Button3 = 'Weiter...'
; $bSkip = False = 'berspringen-Button' nicht vorhanden
;			True  = 'berspringen-Button' vorhanden 
; [$BackgrCol] = Hintergrundfarbe (Hex-Wert RGB), wenn nicht angegeben, dann grau
;
; Rckgabewerte:
; 0 = auf 'Abbrechen' geklickt
; 1 = auf 'Start', 'Weiter...' oder 'Beenden' geklickt
; 2 = auf 'berspringen' geklickt

;===============================================================================
Func _InstBox($Title, $Text, $Pic, $ProgBar, $bSkip, $BackgrCol = 0xDDDDDD)
	If Not IsBool($bSkip) Then $bSkip = False
	If ($ProgBar < 0) Or ($ProgBar > 100) Then $ProgBar = 0
	Local $w = 520, $h = 230, $hOpt = Opt('GUIEventOptions')
	Opt('GUIEventOptions', 0)
	$gui = GUICreate($Title, $w, $h, -1, -1, $WS_DLGFRAME)
	GUISetBKColor($BackgrCol)
	GUICtrlCreatePic($Pic, 10, 10)
	StringRegExp($Text, '\r', 1)
	$e = @extended
	$Head = StringLeft($Text, $e)
	$Text = StringMid($Text, $e + 1)
	If $Head <> '' Then	
		GUICtrlCreateLabel($Head, 170, 10, $w - 200, 40)
		GUICtrlSetFont(-1, 14, 800, 0, 'Times New Roman')
	EndIf
	GUICtrlCreateLabel($Text, 170, 50, $w - 180, $h - 120)
	GUICtrlSetFont(-1, 11, 400, 0, 'Times New Roman')
	$PB = GUICtrlCreateProgress(170, $h - 85, $w - 180, 15, $PBS_SMOOTH)
	GUICtrlSetData($PB, $ProgBar)
	If $ProgBar < 100 Then
		$Button1 = GUICtrlCreateButton('Abbrechen', $w - 220 - 110 * $bSkip, $h - 55, 100, 24)
		GUICtrlSetFont(-1, 10, 400, 0, 'Arial')
		If $bSkip Then
			$Button2 = GUICtrlCreateButton('berspringen', $w - 220, $h - 55, 100, 24)
			GUICtrlSetFont(-1, 10, 400, 0, 'Arial')
		Else
			$Button2 = -1
		EndIf
	Else
		$Button1 = -1
		$Button2 = -1
	EndIf
	Switch $ProgBar
		Case 0
			$go = 'Start'
		Case 100
			$go = 'Beenden'
		Case Else
			$go = 'Weiter...'
	EndSwitch
	$Button3 = GUICtrlCreateButton($go, $w - 110, $h - 55, 100, 24)
	GUICtrlSetFont(-1, 10, 400, 0, 'Arial')
	GUICtrlSetState(-1, $GUI_FOCUS)
	GUISetState()
	While 1
		$msg = GUIGetMsg()
		Select
			Case $msg = $Button1
				Opt('GUIEventOptions', $hOpt)
				GuiDelete($gui)
				Return (0)
			Case $msg = $Button2
				Opt('GUIEventOptions', $hOpt)
				GuiDelete($gui)
				Return (2)
			Case $msg = $Button3
				Opt('GUIEventOptions', $hOpt)
				GuiDelete($gui)
				Return (1)
		EndSelect
	WEnd
EndFunc
